/*	Teams Table
	Version 0.1
*/
DROP TABLE IF EXISTS "Teams";

CREATE TABLE Teams (
	TeamID		INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE,
	LeaderID	INTEGER,
	TeamName	VARCHAR(255),
	Rating		INTEGER,
	TeamType	VARCHAR(255),
	GameID		INTEGER,
	/* Foreign Keys */
		FOREIGN KEY (LeaderID)
		REFERENCES Personality(PersonalityID)
		ON DELETE NO ACTION
		ON UPDATE NO ACTION,
		FOREIGN KEY (GameID)
		REFERENCES Games(GameID)
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
);